ros-humble-clearpath-generator-common (1.3.8-1jammy) jammy; urgency=high

  * Fix: UR Parameter Generation (#277 <https://github.com/clearpathrobotics/clearpath_common/issues/277>) (#285 <https://github.com/clearpathrobotics/clearpath_common/issues/285>)
    Use merge instead of update to prevent clobbering parameters
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Dec 2025 05:00:00 -0000

ros-humble-clearpath-generator-common (1.3.7-1jammy) jammy; urgency=high

  * Backport Fix: Ouster URDF Parameters (#266 <https://github.com/clearpathrobotics/clearpath_common/issues/266>)
    * Add base parameter to Ouster URDF
    * Add base and cap to Ouster description generator
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Sep 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.3.6-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 26 Aug 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.3.5-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 29 Jul 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.3.4-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Jul 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.3.3-1jammy) jammy; urgency=high

  * Feature: Manipulator Extra ROS Parameters (#229 <https://github.com/clearpathrobotics/clearpath_common/issues/229>)
    * Pass manipulator ros parameters to generated controller file
    * Update platform config parameters
    * Remove pprint
  * Fix/Feature: UR Arm Controller Update Rate (#225 <https://github.com/clearpathrobotics/clearpath_common/issues/225>)
    * Change controller update rate for universal robots to 500
    * Use UniversalRobots update_rate parameters if available
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 03 Jul 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.3.2-1jammy) jammy; urgency=high

  * Skip failed tests
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 15 Apr 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.3.1-1jammy) jammy; urgency=high

  * Skip stereolabs test
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 15 Apr 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.3.0-1jammy) jammy; urgency=high

  * Feature: Add delay to manipulator controller (#182 <https://github.com/clearpathrobotics/clearpath_common/issues/182>)
  * Feature: Manipulator URDF Parameters (#181 <https://github.com/clearpathrobotics/clearpath_common/issues/181>)
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 15 Apr 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.2.0-1jammy) jammy; urgency=high

  * Fix: Only use IMU for angular velocity (#175 <https://github.com/clearpathrobotics/clearpath_common/issues/175>)
  * Feature Franka (#171 <https://github.com/clearpathrobotics/clearpath_common/issues/171>)
    * Initial franka addition
    * Create joint instead of using connected_to parameter
    * Custom entry for generating Franka param
    * Franka control for multiple types
    * Modify entire Franka arm xacro
    * Add franka gripper
    * Copy and modify franka description
    * Add cutout for Franka arm_id
    * Add dependency for franka_description
  * Feature Humble Ouster (#161 <https://github.com/clearpathrobotics/clearpath_common/issues/161>)
    * Add OusteOS1 description
    * Custom OusterOS1 generator
    * Ouster use custom description generator
  * Feature: MoveIt Parameters and Enable (#166 <https://github.com/clearpathrobotics/clearpath_common/issues/166>)
  * Feature: Manipulator Samples and Poses (#163 <https://github.com/clearpathrobotics/clearpath_common/issues/163>)
    * Add group_state macros to arm SRDF
    * Add group_state macros to grippers SRDF
    * Generate pose macros in URDF
  * Feature: Link Material (#162 <https://github.com/clearpathrobotics/clearpath_common/issues/162>)
    * Add material to link generator
    * Add material xacro macro
    * Catch exception for frame without material
  * Backport Fix: Sensor depends (#129 <https://github.com/clearpathrobotics/clearpath_common/issues/129>) (#167 <https://github.com/clearpathrobotics/clearpath_common/issues/167>)
    * Remove the package initializations that depend on robot packages
    * Add a copy of the imu_filter parameters from clearpath_sensors to clearpath_control. Change the default IMU filter config path to point to this file. Remove more unneeded initializations of clearpath_robot packages
    Co-authored-by: Chris Iverach-Brereton <mailto:59611394+civerachb-cpr@users.noreply.github.com>
  * Fix: Change dependency on SRDF plugins (#165 <https://github.com/clearpathrobotics/clearpath_common/issues/165>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Mar 2025 04:00:00 -0000

ros-humble-clearpath-generator-common (1.1.1-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 16 Jan 2025 05:00:00 -0000

ros-humble-clearpath-generator-common (1.1.0-1jammy) jammy; urgency=high

  * Ewellix Lift (#136 <https://github.com/clearpathrobotics/clearpath_common/issues/136>)
    Ewellix Lift
    -  Remove upper_joint
    - Add moveit jpc
    - Add control for joint position controller
    - Add hardware parameters
    - Add lifts to generators
    - Initial add of Ewellix lift description files
  * Add enable_ekf launch parameter to platform -> localization launch files. Disable the EKF node if enable_ekf is false. (#133 <https://github.com/clearpathrobotics/clearpath_common/issues/133>) (#134 <https://github.com/clearpathrobotics/clearpath_common/issues/134>)
  * Contributors: Chris Iverach-Brereton, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 15 Jan 2025 05:00:00 -0000

ros-humble-clearpath-generator-common (1.0.0-1jammy) jammy; urgency=high

  * Added minimum version.
  * Remove all references to clearpath_platform
  * Add support for Axis cameras (#113 <https://github.com/clearpathrobotics/clearpath_common/issues/113>)
    * Add axis camera URDFs & meshes
    * Fix the path for the meshes
    * Add the AxisCameraDescription class
    * Remove the axis_camera files, add a dependency on axis_description. Add a new meta-macro that uses the camera type
    * Use the device_type to set the model for the new description macro
    * Add the update_rate to the URDF
    * Add default topic for the URDF
    * Remove the update_rate parameter; it's not supported by axis_camera
    * Add the update_rate parameter back to the meta macro, but don't pass it
    * Add the axis camera URDFs & STLs from axis_description, use the local copies instead of having an external dependency
    * Add RGBA values for the "black" material, rename it to avoid conflicting with any other material definitions
  * Add UR arm (#110 <https://github.com/clearpathrobotics/clearpath_common/issues/110>)
  * VCAN Rework (#112 <https://github.com/clearpathrobotics/clearpath_common/issues/112>)
    * VCan service script generator
    * Use formatted strings to shorten line length and expose variables
  * Add test exception for Zed (#100 <https://github.com/clearpathrobotics/clearpath_common/issues/100>)
  * Contributors: Chris Iverach-Brereton, Luis Camero, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Nov 2024 05:00:00 -0000

ros-humble-clearpath-generator-common (0.3.4-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 08 Oct 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.3.3-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Oct 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.3.2-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 29 Sep 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.3.1-1jammy) jammy; urgency=high

  * Add manipulator dependencies
  * Fixed linting issues for manipulator generation
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 23 Sep 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.3.0-1jammy) jammy; urgency=high

  * Changes.
  * Add meshes and URDF for robotiq 2f 140
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add Dingo plate to generator
  * 0.3.0 Release Candidate with Main Changes (#81 <https://github.com/clearpathrobotics/clearpath_common/issues/81>)
    * Added tests
    * Added action to build from release and source
    * Generator linting erros
    * Customization linting errors
    * Linting
    * Fix: Remove IP address from discovery server launch so it listens on all NICs
    * Changes.
    * 0.2.8
    * Add sysctl config file that changes ipfrag settings to support receiving large messages
    * Added Zed URDF
    * Added Zed to description generator
    * Modified common parameter generation to always flatten
    * Changes.
    * 0.2.9
    * Missing important remapping to mirror hardware topics
    * Added topic to gazebo plugins
    * Updated topic names to match gazebo message types
    * Topics of simulated onboard sensors
    * Realsense adds optical links when in simulator
    * Changes.
    * 0.2.10
    * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
    * Fixes styling issues
    * Set spawner as super client
    * Changes.
    * 0.2.11
    * Removed duplicate class
    * Use ROS1 covariance values
    * Updated renamed macanum drive controller
    * Enable gazebo friction plugin on DingoO
    ---------
    Co-authored-by: Hilary Luo <mailto:hluo@clearpathrobotics.com>
    Co-authored-by: Tony Baltovski <mailto:tbaltovski@clearpathrobotics.com>
    Co-authored-by: Steve Macenski <mailto:stevenmacenski@gmail.com>
    Co-authored-by: robbiefish <mailto:rob.fisher@hbkworld.com>
  * 0.2.8
  * Changes.
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * 0.2.7
  * Changes.
  * ARM_MOUNT to ARM_PLATE
  * Linting issues
  * Use if statement
  * Fixed all license headers
  * Fixed linting issues of collision updater node
  * Pass parameters to Kinova URDF
  * Updated generators to deal with grippers as part of arms
  * Create control file for manipulator controller manager
  * Only add manipulator controllers if simulation
  * Added virtual method for manipulator launch generation
  * Added semantic description generator
  * Added manipulators to parameter generator
  * Add manipulators to description generator
  * Modifications to allow arms to function
  * Added simple package writer to copy package from template
  * Check terminal to set ROS_SUPER_CLIENT
  * Generate script to start the discovery server
  * Updated setup.bash generation for discovery server
  * 0.2.6
  * Changes.
  * 0.2.5
  * Changes.
  * switch finding meshes to use the package:// command
  * 0.2.4
  * Changes.
  * [clearpath_generator_common] Added package description.
  * 0.2.3
  * Changes.
  * Handle file paths with no directory (files in root directory of the package)
  * 0.2.2
  * Changes.xx
  * Enable extras urdf and meshes to be linked by package (#53 <https://github.com/clearpathrobotics/clearpath_common/issues/53>)
  * 0.2.1
  * Changes.
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero
  * Add meshes and URDF for robotiq 2f 140
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add Dingo plate to generator
  * Added tests
  * Added action to build from release and source
  * Generator linting erros
  * Customization linting errors
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Added Zed URDF
  * Added Zed to description generator
  * Modified common parameter generation to always flatten
  * Missing important remapping to mirror hardware topics
  * Added topic to gazebo plugins
  * Updated topic names to match gazebo message types
  * Topics of simulated onboard sensors
  * Realsense adds optical links when in simulator
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Fixes styling issues
  * Set spawner as super client
  * Removed duplicate class
  * Use ROS1 covariance values
  * Updated renamed macanum drive controller
  * Enable gazebo friction plugin on DingoO
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 19 Sep 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.2.11-1jammy) jammy; urgency=high

  * Fixes styling issues
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Contributors: robbiefish

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 08 Aug 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.2.10-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 25 Jul 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.2.9-1jammy) jammy; urgency=high

  * Modified common parameter generation to always flatten
  * Added Zed to description generator
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Linting
  * Generator linting erros
  * Added tests
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 May 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.2.8-1jammy) jammy; urgency=high

  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 14 May 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.2.7-1jammy) jammy; urgency=high

  * ARM_MOUNT to ARM_PLATE
  * Added simple package writer to copy package from template
  * Check terminal to set ROS_SUPER_CLIENT
  * Generate script to start the discovery server
  * Updated setup.bash generation for discovery server
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Apr 2024 04:00:00 -0000

ros-humble-clearpath-generator-common (0.2.6-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Jan 2024 05:00:00 -0000

ros-humble-clearpath-generator-common (0.2.5-1jammy) jammy; urgency=high

  * switch finding meshes to use the package:// command
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 15 Jan 2024 05:00:00 -0000

ros-humble-clearpath-generator-common (0.2.4-1jammy) jammy; urgency=high

  * [clearpath_generator_common] Added package description.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 11 Jan 2024 05:00:00 -0000

ros-humble-clearpath-generator-common (0.2.3-1jammy) jammy; urgency=high

  * Handle file paths with no directory (files in root directory of the package)
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Jan 2024 05:00:00 -0000

ros-humble-clearpath-generator-common (0.2.2-1jammy) jammy; urgency=high

  * Enable extras urdf and meshes to be linked by package (#53 <https://github.com/clearpathrobotics/clearpath_common/issues/53>)
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 04 Jan 2024 05:00:00 -0000

ros-humble-clearpath-generator-common (0.2.1-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 21 Dec 2023 05:00:00 -0000

ros-humble-clearpath-generator-common (0.2.0-1jammy) jammy; urgency=high

  * Added wheel parameters to all robot
  * Wheel is now parameter
  * Adds Blackfly camera to sensor description (#33 <https://github.com/clearpathrobotics/clearpath_common/issues/33>)
    * Adds Blackfly camera to sensor description
    ---------
    Co-authored-by: fazzrazz <mailto:danielduranrojas@gmail.com>
  * Removed print in platform description generator
  * Add imu0 to ekf_node for all platforms except A200
  * Added W200 attachments to generator
  * Platform no longer required
  * Added  to materials
  * Removed unecessary SimpleDescription
  * Attachments not restricted by platform
  * Simplified attachment generation
  * Removed debug print
  * Removed gazebo include from generator
  * Read control.yaml directly from clearpath config specified file
  * Allow for no macro to be added
  * Moved gazebo controller to common
  * Added Generic platform
  * Contributors: Hilary Luo, Luis Camero, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 08 Dec 2023 05:00:00 -0000

ros-humble-clearpath-generator-common (0.1.3-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 03 Nov 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.1.2-1jammy) jammy; urgency=high

  * Adds Blackfly camera to sensor description (#33 <https://github.com/clearpathrobotics/clearpath_common/issues/33>)
    * Adds Blackfly camera to sensor description
    ---------
    Co-authored-by: fazzrazz <mailto:danielduranrojas@gmail.com>
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 02 Oct 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.1.1-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.1.0-1jammy) jammy; urgency=high

  * Removed joy_teleop namespace, remap topics to that namespace instead
  * Added fenders for J100
  * Renamed UST10 to UST
    Added parameter node list
  * Removed disk import
  * Added disk and post
    Set default values to model dictionaries
  * Inverted and upright sick stand
  * Added UM6/7
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.9-1jammy) jammy; urgency=high

  * Added Garmin 18x, Novatel smart 6 and 7
  * Update platform nodes from extra ros parameters
    Flattened default parameter files
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.8-1jammy) jammy; urgency=high

  * Linting
  * use_sim_time support
  * Description and Bash generator cleanup
  * Minor cleanup
  * Param generator
  * Launch generator cleanup
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.7-1jammy) jammy; urgency=high

  * Renamed description to attachments
  * Rnamed accessories to links
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.6-1jammy) jammy; urgency=high

  * Merge pull request #18 <https://github.com/clearpathrobotics/clearpath_common/issues/18> from clearpathrobotics/updated-config
    Updated common generators to match config
  * Fixed getters
  * Updated common generators to match config
  * Contributors: Luis Camero, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.5-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.4-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.3-1jammy) jammy; urgency=high

  * Linters
  * Updated localization configs
  * Updated husky track value
  * Wheel slip plugin
    Significantly improved jackal odom in sim
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.2-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.1-1jammy) jammy; urgency=high

  * Updated launch writer make writing different object types easier
    Localization parameter fixes
    Updated gazebo wheel friction
  * Added namespacing support
  * Updated dependencies
  * Added clearpath_generator_common
    Moved clearpath_platform to clearpath_common
    Fixed use_sim_time parameter issue with ekf_node
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000


